org.wildfly.swarm.config

## Class MessagingActiveMQ<T extends MessagingActiveMQ<T>>

- java.lang.Object
- - org.wildfly.swarm.config.MessagingActiveMQ<T>

- Direct Known Subclasses:
    MessagingFraction

      public class MessagingActiveMQ<T extends MessagingActiveMQ<T>>
      extends Object

  The messaging-activemq subsystem.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MessagingActiveMQ.MessagingActiveMQResources` Child mutators for MessagingActiveMQ

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessagingActiveMQ()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `Integer` | `globalClientScheduledThreadPoolMaxSize()` Maximum size of the pool of threads used by all ActiveMQ clients running inside this server.
    `T` | `globalClientScheduledThreadPoolMaxSize(Integer value)` Maximum size of the pool of threads used by all ActiveMQ clients running inside this server.
    `Integer` | `globalClientThreadPoolMaxSize()` Maximum size of the pool of scheduled threads used by all ActiveMQ clients running inside this server.
    `T` | `globalClientThreadPoolMaxSize(Integer value)` Maximum size of the pool of scheduled threads used by all ActiveMQ clients running inside this server.
    `T` | `jmsBridge(JMSBridge value)` Add the JMSBridge object to the list of subresources
    `T` | `jmsBridge(JMSBridgeSupplier supplier)` Install a supplied JMSBridge object to the list of subresources
    `T` | `jmsBridge(String childKey)` Create and configure a JMSBridge object to the list of subresources
    `T` | `jmsBridge(String childKey, JMSBridgeConsumer consumer)` Create and configure a JMSBridge object to the list of subresources
    `T` | `jmsBridges(List<JMSBridge> value)` Add all JMSBridge objects to this subresource
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `T` | `server(Server value)` Add the Server object to the list of subresources
    `T` | `server(ServerSupplier supplier)` Install a supplied Server object to the list of subresources
    `T` | `server(String childKey)` Create and configure a Server object to the list of subresources
    `T` | `server(String childKey, ServerConsumer consumer)` Create and configure a Server object to the list of subresources
    `T` | `servers(List<Server> value)` Add all Server objects to this subresource
    `MessagingActiveMQ.MessagingActiveMQResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessagingActiveMQ

          public MessagingActiveMQ()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public MessagingActiveMQ.MessagingActiveMQResources subresources()

    - #### servers

          public T servers(List<Server> value)

      Add all Server objects to this subresource
      Parameters:
        `value` - List of Server objects.
      Returns:
        this

    - #### server

          public T server(Server value)

      Add the Server object to the list of subresources
      Parameters:
        `value` - The Server to add
      Returns:
        this

    - #### server

          public T server(String childKey,
                          ServerConsumer consumer)

      Create and configure a Server object to the list of subresources
      Parameters:
        `key` - The key for the Server resource
        `config` - The ServerConsumer to use
      Returns:
        this

    - #### server

          public T server(String childKey)

      Create and configure a Server object to the list of subresources
      Parameters:
        `key` - The key for the Server resource
      Returns:
        this

    - #### server

          public T server(ServerSupplier supplier)

      Install a supplied Server object to the list of subresources

    - #### jmsBridges

          public T jmsBridges(List<JMSBridge> value)

      Add all JMSBridge objects to this subresource
      Parameters:
        `value` - List of JMSBridge objects.
      Returns:
        this

    - #### jmsBridge

          public T jmsBridge(JMSBridge value)

      Add the JMSBridge object to the list of subresources
      Parameters:
        `value` - The JMSBridge to add
      Returns:
        this

    - #### jmsBridge

          public T jmsBridge(String childKey,
                             JMSBridgeConsumer consumer)

      Create and configure a JMSBridge object to the list of subresources
      Parameters:
        `key` - The key for the JMSBridge resource
        `config` - The JMSBridgeConsumer to use
      Returns:
        this

    - #### jmsBridge

          public T jmsBridge(String childKey)

      Create and configure a JMSBridge object to the list of subresources
      Parameters:
        `key` - The key for the JMSBridge resource
      Returns:
        this

    - #### jmsBridge

          public T jmsBridge(JMSBridgeSupplier supplier)

      Install a supplied JMSBridge object to the list of subresources

    - #### globalClientScheduledThreadPoolMaxSize

          public Integer globalClientScheduledThreadPoolMaxSize()

      Maximum size of the pool of threads used by all ActiveMQ clients running inside this server. If the attribute is undefined (by default), ActiveMQ will configure it to be 8 x the number of available processors.

    - #### globalClientScheduledThreadPoolMaxSize

          public T globalClientScheduledThreadPoolMaxSize(Integer value)

      Maximum size of the pool of threads used by all ActiveMQ clients running inside this server. If the attribute is undefined (by default), ActiveMQ will configure it to be 8 x the number of available processors.

    - #### globalClientThreadPoolMaxSize

          public Integer globalClientThreadPoolMaxSize()

      Maximum size of the pool of scheduled threads used by all ActiveMQ clients running inside this server.

    - #### globalClientThreadPoolMaxSize

          public T globalClientThreadPoolMaxSize(Integer value)

      Maximum size of the pool of scheduled threads used by all ActiveMQ clients running inside this server.

Copyright © 2017 JBoss by Red Hat. All rights reserved.